aboutsummaryrefslogtreecommitdiff
path: root/git-clone.sh
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2005-12-22 16:01:46 -0800
committerJunio C Hamano <junkio@cox.net>2005-12-23 15:30:07 -0800
commit056211053b7516a57ff7a6dd02f503ecef6fca70 (patch)
tree24d7238803112060868404766b17782c4760ad6e /git-clone.sh
parent797bd6f490c91c07986382b9f268e0df712cb246 (diff)
downloadgit-056211053b7516a57ff7a6dd02f503ecef6fca70.tar.gz
git-056211053b7516a57ff7a6dd02f503ecef6fca70.tar.xz
git-clone: do not special case dumb http.
Underlying http-fetch is supposed to be capable of handling packed repositories just fine, so no need to special case it in the wrapper script. Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-clone.sh')
-rwxr-xr-xgit-clone.sh16
1 files changed, 1 insertions, 15 deletions
diff --git a/git-clone.sh b/git-clone.sh
index bfc6c2d79..377d59e62 100755
--- a/git-clone.sh
+++ b/git-clone.sh
@@ -31,25 +31,11 @@ clone_dumb_http () {
cd "$2" &&
clone_tmp='.git/clone-tmp' &&
mkdir -p "$clone_tmp" || exit 1
- http_fetch "$1/info/refs" "$clone_tmp/refs" &&
- http_fetch "$1/objects/info/packs" "$clone_tmp/packs" || {
+ http_fetch "$1/info/refs" "$clone_tmp/refs" || {
echo >&2 "Cannot get remote repository information.
Perhaps git-update-server-info needs to be run there?"
exit 1;
}
- while read type name
- do
- case "$type" in
- P) ;;
- *) continue ;;
- esac &&
-
- idx=`expr "$name" : '\(.*\)\.pack'`.idx
- http_fetch "$1/objects/pack/$name" ".git/objects/pack/$name" &&
- http_fetch "$1/objects/pack/$idx" ".git/objects/pack/$idx" &&
- git-verify-pack ".git/objects/pack/$idx" || exit 1
- done <"$clone_tmp/packs"
-
while read sha1 refname
do
name=`expr "$refname" : 'refs/\(.*\)'` &&